Loading...
Searching...
No Matches
BALL::NMRStarFile::MolecularSystem::ChemicalUnit Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| ChemicalUnit ()
std::ostream & | operator>> (std::ostream &s)
void | clear ()

## Public Attributes

String | component_name
String | label
MonomericPolymer * | monomeric_polymer
NMRAtomDataSet * | shifts

## Detailed Description

Definition at line 382 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## ChemicalUnit()

BALL::NMRStarFile::MolecularSystem::ChemicalUnit::ChemicalUnit | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::MolecularSystem::ChemicalUnit::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::MolecularSystem::ChemicalUnit::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## component_name

String BALL::NMRStarFile::MolecularSystem::ChemicalUnit::component_name

Definition at line 389 of file NMRStarFile.h.

## label

String BALL::NMRStarFile::MolecularSystem::ChemicalUnit::label

Definition at line 390 of file NMRStarFile.h.

## monomeric_polymer

MonomericPolymer* BALL::NMRStarFile::MolecularSystem::ChemicalUnit::monomeric_polymer

Definition at line 391 of file NMRStarFile.h.

## shifts

NMRAtomDataSet* BALL::NMRStarFile::MolecularSystem::ChemicalUnit::shifts

Definition at line 392 of file NMRStarFile.h.